#
# spec file for package dbus-1 (Version 0.60)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libxml2 libxml2-devel libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           dbus-1
BuildRequires:  expat glib2-devel libxml2-devel
URL:            http://dbus.freedesktop.org/
License:        Other License(s), see package
Group:          System/Daemons
Version:        0.60
Release:        33.2
Autoreqprov:    on
Summary:        D-BUS Message Bus System
Source0:        dbus-%{version}.tar.gz
Source1:        rc.boot.dbus
Source2:        dbus-1.desktop
# Please sync the patches with the other spec file!
Patch0:         dbus-gcj_fixes.diff
Patch1:         dbus-enable_fill_api_doc.diff
Patch2:         dbus-tools_autobuild.diff
Patch3:         dbus-qt3_compile_fix.diff
Patch4:         dbus-gvalue-utils-fix.diff
Patch5:         dbus-python_bindings_fix.diff
Patch7:         dbus-pedantic_compile.diff
Patch8:         dbus-qt_moc_configure.diff
Patch9:         dbus-qt_compile_fix.diff
Patch10:        dbus-monolibdir.diff
Patch11:        dbus-mono-no-examples.diff
Patch12:        dbus-mono-args.diff
Patch13:        dbus-mono-return-null.diff
Patch14:        dbus-glib-nameownerchange-workaround.diff
Patch15:        dbus-reply_pending_limit.diff
Patch16:        dbus-connection-blocks-on-poll.diff
Patch17:        dbus-mono-exit-on-disconnect.diff
Prereq:         /usr/sbin/groupadd /usr/sbin/useradd /sbin/insserv /etc/init.d/boot.localfs
Requires:       aaa_base
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%debug_package
%package -n dbus-1-devel
Summary:        Developer package for D-BUS
Requires:       %{name} = %{version}-%{release} dbus-1-glib glib2-devel
Autoreqprov:    on
Group:          System/Daemons
%package -n dbus-1-glib
Summary:        GLib-based library for using D-BUS
Requires:       %{name} = %{version}-%{release} 
Autoreqprov:    on
Group:          System/Daemons

%description
D-BUS is a message bus system, a simple way for applications to talk to
one another. D-BUS supplies both a system daemon (for events such as
"new hardware device added" or "printer queue changed") and a
per-user-login-session daemon (for general IPC needs among user
applications). Also, the message bus is built on top of a general
one-to-one message passing framework, which can be used by any two apps
to communicate directly (without going through the message bus daemon).



Authors:
--------
    Olivier Andrieu <oliv__a@users.sourceforge.net>
    Philip Blundell <pb@nexus.co.uk>
    Anders Carlsson <andersca@gnome.org>
    Kristian Hogsberg  <krh@redhat.com>
    Alex Larsson <alexl@redhat.com>
    Michael Meeks <michael@ximian.com>
    Seth Nickell <seth@gnome.org>
    Havoc Pennington <hp@redhat.com>
    Harri Porten <porten@kde.org>
    Matthew Rickard <mjricka@epoch.ncsc.mil>
    Zack Rusin <zack@kde.org>
    Joe Shaw <joe@assbarn.com>
    Colin Walters <walters@gnu.org>
    David Zeuthen <david@fubar.dk>


%description -n dbus-1-devel
D-BUS is a message bus system, a simple way for applications to talk to
one another. D-BUS supplies both a system daemon (for events such as
"new hardware device added" or "printer queue changed") and a
per-user-login-session daemon (for general IPC needs among user
applications). Also, the message bus is built on top of a general
one-to-one message passing framework, which can be used by any two apps
to communicate directly (without going through the message bus daemon).



Authors:
--------
    Olivier Andrieu <oliv__a@users.sourceforge.net>
    Philip Blundell <pb@nexus.co.uk>
    Anders Carlsson <andersca@gnome.org>
    Kristian Hogsberg  <krh@redhat.com>
    Alex Larsson <alexl@redhat.com>
    Michael Meeks <michael@ximian.com>
    Seth Nickell <seth@gnome.org>
    Havoc Pennington <hp@redhat.com>
    Harri Porten <porten@kde.org>
    Matthew Rickard <mjricka@epoch.ncsc.mil>
    Zack Rusin <zack@kde.org>
    Joe Shaw <joe@assbarn.com>
    Colin Walters <walters@gnu.org>
    David Zeuthen <david@fubar.dk>


%description -n dbus-1-glib
D-BUS add-on library to integrate the standard D-BUS library with the
GLib thread abstraction and main loop.



Authors:
--------
    Olivier Andrieu <oliv__a@users.sourceforge.net>
    Philip Blundell <pb@nexus.co.uk>
    Anders Carlsson <andersca@gnome.org>
    Kristian Hogsberg  <krh@redhat.com>
    Alex Larsson <alexl@redhat.com>
    Michael Meeks <michael@ximian.com>
    Seth Nickell <seth@gnome.org>
    Havoc Pennington <hp@redhat.com>
    Harri Porten <porten@kde.org>
    Matthew Rickard <mjricka@epoch.ncsc.mil>
    Zack Rusin <zack@kde.org>
    Joe Shaw <joe@assbarn.com>
    Colin Walters <walters@gnu.org>
    David Zeuthen <david@fubar.dk>

%prep
%setup -n dbus-%{version} -q
%if %suse_version > 930
%patch0
%endif
%patch1
%patch2
%patch3
%patch4
%patch5
%patch7
%patch8
%patch9
%patch10
%patch11
%patch12
%patch13
%patch14
%patch15
# disabled for now, causes crashes
#%patch16
%patch17
autoreconf -fi

%build
export CFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing -fPIC -fstack-protector"
export CXXFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing -fstack-protector"
./configure					\
    --prefix="%{_prefix}" 			\
    --sysconfdir="%{_sysconfdir}" 		\
    --localstatedir="%{_localstatedir}" 	\
    --libdir=%{_libdir} 			\
    --mandir=%{_mandir} 			\
    --with-xml=libxml 			\
    --with-init-scripts=suse 		\
    --enable-glib 				\
    --disable-qt  \
    --disable-qt3 \
    --disable-gcj \
    --disable-python \
    --disable-gtk \
    --enable-dnotify			\
    --disable-mono 				\
    --disable-mono-docs			\
    --with-console-auth-dir=/var/run/resmgr/classes/desktop/
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/dbus
ln -sf %{_sysconfdir}/init.d/dbus $RPM_BUILD_ROOT/%{_sbindir}/rcdbus
install -d %{buildroot}/%{_localstatedir}/run/dbus
# remove files not packaged in this specfile
rm -f $RPM_BUILD_ROOT/usr/bin/dbus-launch
rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/dbus-launch*

%clean
%{__rm} -rf "%{buildroot}"

%pre
/usr/sbin/groupadd -r messagebus 2> /dev/null || :
/usr/sbin/useradd -r -o -s /bin/false -c "User for D-BUS" -d /var/run/dbus -g messagebus messagebus 2> /dev/null || :

%preun
%{stop_on_removal dbus}

%post
%{insserv_force_if_yast dbus}
%{run_ldconfig}

%postun
%{restart_on_update dbus}
%{insserv_cleanup}
%{run_ldconfig}

%post devel -p /sbin/ldconfig

%post glib -p /sbin/ldconfig

%postun devel -p /sbin/ldconfig

%postun glib -p /sbin/ldconfig

%files
%defattr(-, root, root)
%dir %{_libdir}/dbus-1.0
%dir %{_datadir}/dbus-1
%dir %{_datadir}/dbus-1/services
%doc AUTHORS ChangeLog COPYING HACKING INSTALL NEWS README
%{_sysconfdir}/init.d/dbus
%{_sbindir}/rcdbus
%{_sysconfdir}/dbus-1
%{_bindir}/dbus-daemon
%{_bindir}/dbus-send
%{_bindir}/dbus-cleanup-sockets
%{_libdir}/*dbus-1.so.*
%{_mandir}/man1/dbus-cleanup-sockets.1.gz
%{_mandir}/man1/dbus-daemon.1.gz
%{_mandir}/man1/dbus-send.1.gz
%attr(-,messagebus,messagebus) %{_localstatedir}/run/dbus

%files -n dbus-1-devel
%defattr(-,root,root)
%{_includedir}/*
# dbus-1 devel files
%{_libdir}/*dbus-1.a
%{_libdir}/*dbus-1.la
%{_libdir}/*dbus-1.so
%{_libdir}/dbus-1.0/include
%{_libdir}/pkgconfig/dbus-1.pc
# dbus-1-glib devel files
%{_libdir}/*glib*.a
%{_libdir}/*glib*.la
%{_libdir}/pkgconfig/dbus-glib-1.pc

%files -n dbus-1-glib
%defattr(-,root,root)
%{_libdir}/*glib*.so.*
%{_libdir}/*glib*.so
%{_bindir}/dbus-binding-tool
%{_bindir}/dbus-monitor
%{_mandir}/man1/dbus-monitor.1.gz

%changelog -n dbus-1
* Mon Apr 24 2006 - thoenig@suse.de
- Add patch (dbus-mono-exit-on-disconnect.diff) from Aaron Bockover
  to extend the API of the mono bindings for exit_on_disconnect()
  (Novell bug #167824).
* Wed Mar 15 2006 - thoenig@suse.de
- disable dbus-connection-blocks-on-poll.diff as it leads to
  crashes in applications using
  dbus_connection_send_with_reply_and_block ().
* Mon Mar 06 2006 - thoenig@suse.de
- add restart_on_update back to %%postun (#143151, #150042)
* Fri Mar 03 2006 - thoenig@suse.de
- Add patch (dbus-connection-blocks-on-poll.diff) in order to fix
  pending replies being delayed if an application using the bus
  blocks on another pending reply. (not tracked in upstream
  bugzilla, only on-list, Novell bug #154916)
- Sync patches with dbus-1-mono
* Wed Mar 01 2006 - thoenig@suse.de
- Add patch (dbus-reply_pending_limit.diff) in order to fix the
  pending replies limit not to be common for all connections.
  (Freedesktop bug #4200, Novell bug #153733)
* Fri Feb 24 2006 - aj@suse.de
- Sync patches with dbus-1-mono.
* Tue Feb 14 2006 - ro@suse.de
- move all bindings except for glib to dbus-1-mono specfile
- remove restart_on_update (only restart on reboot) (#143151)
- move all bindings except for glib to dbus-1-mono specfile
- remove restart_on_update (only restart on reboot) (#143151)
* Fri Feb 03 2006 - aj@suse.de
- Remove unneeded BuildRequires.
* Sun Jan 29 2006 - aj@suse.de
- Splitup packages dbus-1-qt3-devel, dbus-1-qt-devel (#144857).
* Fri Jan 27 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - thoenig@suse.de
- Fixed D-BUS to restart on `rcdbus restart` id session busses
  are running (closes #127969)
* Fri Jan 20 2006 - werner@suse.de
- Make rc script fully conforming with LSB
* Thu Jan 19 2006 - meissner@suse.de
- Use -fstack-protector.
- Added some missing requires to the -devel packages.
* Thu Jan 05 2006 - thoenig@suse.de
- added libxml2-python to Requires of dbus-1-python (closes
  [#141225])
* Tue Dec 20 2005 - dmueller@suse.de
- fix Qt4/x86_64 build with Qt 4.1
* Sat Dec 17 2005 - thoenig@suse.de
- renamed sub package for Qt bindings from dbus-1-qt to dbus-1-qt3
- introducing Qt4 bindings, new package is dbus-1-qt
- renamed dbus-qt_compile_fix.diff to dbus-qt3_compile_fix.diff
- added -fno-strict-aliasing to CXXFLAGS
- modified patch:
  * removed configure.in parts of dbus-qt3_compile_fix.diff (fixed
  upstream)
- removed patches:
  * dbus-dnotify_configure-01.diff (fixed upstream)
  * dbus-dnotify_watchdirs-01.diff (fixed upstream)
* Fri Dec 09 2005 - ro@suse.de
- disable selinux
* Tue Nov 22 2005 - coolo@suse.de
- make libdbus-1-qt self containing lib
* Sat Nov 12 2005 - thoenig@suse.de
- added patches to make dnotify actually work for configuration
  file changes.  We now can add new bus policies at runtime.
  * dbus-dnotify_configure-01.diff
  * dbus-dnotify_watchdirs-01.diff
* Thu Oct 20 2005 - thoenig@suse.de
- added -fPIC to CFLAGS
* Wed Sep 21 2005 - thoenig@suse.de
- new upstream version 0.50.2 (skipped some)
- removed patches:
  * dbus-disable_kde_dependency.diff (upstream)
  * dbus-transaction_fix.diff (upstream)
  * dbus-session-connect.diff (upstream)
  * dbus-gcj_fix_for_gcc4_on_x86_64.diff (duplicated, see
  dbus-gcj_fixes.diff)
- modified patch:
  * dbus-gcj_fixes.diff (removed reference to $BUILD_ROOT in .la)
* Sat Sep 17 2005 - dmueller@suse.de
- make header files compileable with -pedantic
* Tue Sep 06 2005 - dkukawka@suse.de
- fixed return values for rchal start to be LSB conform (#115385)
* Sun Sep 04 2005 - aj@suse.de
- Add check-build.sh script.
* Tue Aug 30 2005 - thoenig@suse.de
- Moved man pages to correct sub-packages (closes #114036)
* Tue Aug 30 2005 - thoenig@suse.de
- Added patch to fix session bus exploit (CAN-2005-0201, closes
  [#114043])
* Thu Aug 04 2005 - thoenig@suse.de
- Replaced previous workaround for #98264 with a proper fix
* Tue Jul 26 2005 - thoenig@suse.de
- Reduce timeout for (wrongly assumed?) oom situations from 500ms
  to 50ms (closes #98264).
* Mon Jul 18 2005 - thoenig@suse.de
- new upstream version 0.35.2 (skipped 0.35 and 0.35.1)
- removed patches:
  * dbus-python_bindings_gcc4_fix.diff (obsolete)
  * dbus-console-auth-SuSE-01.diff (upstream)
- new patches:
  * dbus-gvalue-utils-fix.diff (function returned random data)
  * dbus-python_bindings_fix.diff (unititialized variable)
* Wed Jun 22 2005 - thoenig@suse.de
- new upstream version 0.34
- new patch `dbus-console-auth-SuSE-01.diff`: this patch adds the
  command line option "--with-console-auth-dir" for resmgr
  integration.
* Wed Jun 22 2005 - thoenig@suse.de
- moved *.la *.a and *.pc files from dbus-1-glib to dbus-1-devel
- added dbus-1-glib and glib2-devel to Requires of dbus-1-devel
* Thu May 19 2005 - adrian@suse.de
- fix path to documentation in susehelp desktop file
* Mon May 02 2005 - lnussel@suse.de
- fix init script dbus-daemon-1 -> dbus-daemon
- use fastjar only on > 9.3
* Thu Apr 28 2005 - thoenig@suse.de
- new upstream version 0.33
- fixed typo in 'rc.boot.dbus'
* Mon Apr 25 2005 - thoenig@suse.de
- updated e-mail address in 'rc.boot.dbus'
* Thu Apr 21 2005 - thoenig@suse.de
- updated short description in 'rc.boot.dbus'
* Wed Apr 20 2005 - thoenig@suse.de
- D-BUS 0.33 (CVS 2005-04-19)
- ABI changes will affect packages: beagle, gnome, hal,
  ial, kdebase3, submount, tomboy. A tutorial to fix errors caused
  by the ABI/API change:
  http://people.redhat.com/johnp/files/dbus_0.23_to_0.30_porting_quickref.txt
- enabled python bindings again. GCC4 fix is provided by
  dbus-python_bindings_gcc4_fix.diff. This patch is to be dropped
  once  pyrex  generates GCC4-clean C code.
* Mon Apr 18 2005 - ro@suse.de
- use "fastjar" instead of "jar" with gcc-4
- disable python bindings for now
  (generated code is not really gcc-4 compliant)
* Wed Mar 16 2005 - thoenig@suse.de
- applied 'dbus-il-fix.patch' for dbus-1-mono to prevent a crash
  caused by a change in mono.
* Mon Mar 14 2005 - schwab@suse.de
- Fix name of init script.
* Mon Mar 14 2005 - thoenig@suse.de
- changed init order for hal/dbus/resmgr
* Sun Mar 13 2005 - thoenig@suse.de
- applied `dbus-mono-leak.diff` which fixes memory leaks of the
  mono bindings.
* Sat Mar 12 2005 - thoenig@suse.de
- new upstream version 0.23.4
* Thu Mar 10 2005 - thoenig@suse.de
- new upstream version 0.23.3
- removed obsolete patch (python_bindings_x86_64_fix.diff)
* Thu Mar 03 2005 - dkukawka@suse.de
- fixed boot.dbus [see bug# 65775]
* Mon Feb 28 2005 - thoenig@suse.de
- moved files from dbus-1-devel to dbus-1-{glib,java,qt}
* Tue Feb 22 2005 - thoenig@suse.de
- added fix for python bindings to compile on 64 bit
- moved {_datadir}/dbus-1 and {_datadir}/dbus-1/services from
  dbus-1-x11 to dbus-1 package
* Mon Feb 21 2005 - gekker@suse.de
- Fix dbus-1-x11, add directory so dbus-launch will work
* Mon Feb 21 2005 - adrian@suse.de
- avoid kde dependencies to improve our build times.
  The only thing which does need KDE is the configure script,
  the bindings itself are pure Qt
* Sun Feb 20 2005 - thoenig@suse.de
- new upstream version 0.23.2
* Sun Feb 20 2005 - thoenig@suse.de
- new upstream version 0.23.2
* Tue Feb 15 2005 - dkukawka@suse.de
- update to new version 0.23.1
* Tue Feb 15 2005 - dkukawka@suse.de
- update to new version 0.23.1
* Fri Feb 04 2005 - gekker@suse.de
- Use mono-devel-packages in neededforbuild
- pass --enable-mono in ./configure
- Make sure the symbolic link of dbus-sharp.dll is installed
* Thu Feb 03 2005 - thoenig@suse.de
- fixed assignment of .pc files
  * dbus-1.pc      is now owned by dbus-1-devel
  * dbus-glib-1.pc is now owned by dbus-1-glib
  * dbus-sharp.pc  is now owned by dbus-1-mono
* Thu Feb 03 2005 - thoenig@suse.de
- fixed assignment of .pc files
  * dbus-1.pc      is now owned by dbus-1-devel
  * dbus-glib-1.pc is now owned by dbus-1-glib
  * dbus-sharp.pc  is now owned by dbus-1-mono
* Thu Feb 03 2005 - ro@suse.de
- use common macros in pre/post scripts
* Fri Jan 28 2005 - dkukawka@suse.de
- fixed specfile of dbus
* Fri Jan 28 2005 - dkukawka@suse.de
- added aaa_base to requirements
- added /etc/init.d/boot.localfs to prereqy
* Tue Jan 25 2005 - dkukawka@suse.de
- cleaned up requirements in spec-file
- disabled all unneeded bindings within ./configure to reduce
  buildtime
* Tue Jan 25 2005 - dkukawka@suse.de
- cleaned up requirements in spec-file
* Sun Jan 23 2005 - dkukawka@suse.de
- fixed libdir directory for x86_64 in mono package
* Sun Jan 23 2005 - dkukawka@suse.de
- fix libdir directory for x86_64
* Thu Jan 20 2005 - adrian@suse.de
- enable api docu for qt, c# and java
- integrate api docu into suse help
* Thu Jan 13 2005 - dkukawka@suse.de
- update to new version [0.23]. For more infos read the Changelog
  of the src
* Thu Jan 13 2005 - dkukawka@suse.de
- update to new version [0.23]. For more info read the Changelog
  of the src
- changed position in /etc/rc.d/boot.d/, now dbus start depending
  on boot.localnet (this is a workaround to the /var/run - cleanup
  is moved from boot.localnet to boot.localfs)
* Wed Jan 12 2005 - dkukawka@suse.de
- changed some in dbus-1-mono.spec
* Wed Jan 12 2005 - dkukawka@suse.de
- changed rc-script:
- now dbus start in boot.d
- start depends on boot.localfs
- changed spec-file, now insserv instead of chkconfig
- fixed bug #49410
* Tue Jan 11 2005 - ro@suse.de
- added /usr/lib/qt3/bin to PATH (for moc)
* Mon Jan 10 2005 - adrian@suse.de
- fix build, qt developer tools aren't in default PATH anymore
* Mon Nov 29 2004 - dkukawka@suse.de
- removed ExclusiveArch, since mono and gtk-sharp for other
  archs available (thanks to ro@suse.de)
* Sun Nov 28 2004 - dkukawka@suse.de
- moved package to ../done/I386 , package is only for %%ix86,
  because on other archs we don´t have gtk-sharp
- changed requirements [dbus = %%{version}-%%{dbus_release}]
* Sun Nov 28 2004 - dkukawka@suse.de
- init
* Thu Nov 25 2004 - dkukawka@suse.de
- removed automatically deleting of DBUS-user and -group in
  uninstall-routine
- readding dbus-1-python package
- changed different due to new automake and python versions
- added Requires and BuildRequires
* Tue Nov 23 2004 - dkukawka@suse.de
- added packages [glib, x11]
- change different things in packages, removed doupled/conflicting
  files in packages [base-rpm, devel, gtk, java, qt]
- changed different in %%pre, %%preun, %%post, %%postun sections of the
  spec-file
- stop dbus automatically before uninstall
- add/remove now dbus automatically to/from system services
* Sat Nov 20 2004 - dkukawka@suse.de
- fixed bug in spec-file
* Thu Nov 18 2004 - dkukawka@suse.de
- removed binding package for Python while automake is fixed !
* Wed Nov 17 2004 - dkukawka@suse.de
- added binding packages [java, qt, gtk, python]
* Fri Nov 05 2004 - thoenig@suse.de
- dynamic allocation of user id user messagebus
- dynamic allocation of group id for group messagebus
* Thu Oct 21 2004 - thoenig@suse.de
- init
